Uses of Class
io.vertx.mutiny.httpproxy.BodyTransformer
Packages that use BodyTransformer
-
Uses of BodyTransformer in io.vertx.mutiny.httpproxy
Fields in io.vertx.mutiny.httpproxy with type parameters of type BodyTransformerModifier and TypeFieldDescriptionstatic final TypeArg<BodyTransformer>BodyTransformer.__TYPE_ARGMethods in io.vertx.mutiny.httpproxy that return BodyTransformerModifier and TypeMethodDescriptionstatic BodyTransformerBodyTransformers.discard()Create a transformer that discards the body, the transformer consumes any media type.static BodyTransformerBodyTransformers.jsonArray(long maxBufferedBytes, Function<io.vertx.core.json.JsonArray, io.vertx.core.json.JsonArray> transformer) Create a body transformer that transforms JSON array to JSON array, the transformer consumes and producesapplication/json.static BodyTransformerBodyTransformers.jsonArray(Function<io.vertx.core.json.JsonArray, io.vertx.core.json.JsonArray> transformer) LikeBodyTransformers.jsonArray(long, Function)withBodyTransformers.DEFAULT_MAX_BUFFERED_SIZEmaximum buffered bytes.static BodyTransformerBodyTransformers.jsonObject(long maxBufferedBytes, Function<io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject> transformer) Create a body transformer that transforms JSON object to JSON object, the transformer consumes and producesapplication/json.static BodyTransformerBodyTransformers.jsonObject(Function<io.vertx.core.json.JsonObject, io.vertx.core.json.JsonObject> transformer) LikeBodyTransformers.jsonObject(long, Function)withBodyTransformers.DEFAULT_MAX_BUFFERED_SIZEmaximum buffered bytes.static BodyTransformerCreate a body transformer that transforms JSON value to JSON value, the transformer consumes and producesapplication/json.static BodyTransformerLikeBodyTransformers.jsonValue(long, Function)withBodyTransformers.DEFAULT_MAX_BUFFERED_SIZEmaximum buffered bytes.static BodyTransformerBodyTransformer.newInstance(io.vertx.httpproxy.BodyTransformer delegate) Creates a new instance of theBodyTransformer.static BodyTransformerCreate a transformer that transforms text to text, the transformer consumes and producestext/plain.static BodyTransformerLikeBodyTransformers.text(long, Function, String)withBodyTransformers.DEFAULT_MAX_BUFFERED_SIZEmaximum buffered bytes.static BodyTransformerBodyTransformers.transform(io.vertx.httpproxy.MediaType consumes, io.vertx.httpproxy.MediaType produces, long maxBufferedBytes, Function<io.vertx.core.buffer.Buffer, io.vertx.core.buffer.Buffer> transformer) Create a body transformer that transformsconsumesmedia type to theproducesmedia type, by applying thetransformerfunction.static BodyTransformerBodyTransformers.transform(io.vertx.httpproxy.MediaType consumes, io.vertx.httpproxy.MediaType produces, Function<io.vertx.core.buffer.Buffer, io.vertx.core.buffer.Buffer> transformer) LikeBodyTransformers.transform(MediaType, MediaType, long, Function)withBodyTransformers.DEFAULT_MAX_BUFFERED_SIZEmaximum buffered bytes.Methods in io.vertx.mutiny.httpproxy with parameters of type BodyTransformerModifier and TypeMethodDescriptionProxyInterceptorBuilder.transformingRequestBody(BodyTransformer requestTransformer) Apply a transformation to change the request body when the proxy receives it.ProxyInterceptorBuilder.transformingResponseBody(BodyTransformer responseTransformer) Apply a transformation to change the response body when the proxy receives it.